Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 2.0

Description

Switch to Backbone or Vue.js

Subtasks:

Task # 2053: Modularize the search view

Task # 2057: Modularize the list view

Closed
Closed

Associated revisions

Revision 790 - 09/11/2017 05:09 AM - lukemurphey

Removing unnecessary functions

Reference #2020

Revision 805 - 09/11/2017 05:09 AM - lukemurphey

Removing unnecessary functions

Reference #2020

Revision 798 - 09/12/2017 07:21 AM - lukemurphey

Added new about dialog modal

Reference #2020

Revision 813 - 09/12/2017 07:21 AM - lukemurphey

Added new about dialog modal

Reference #2020

Revision 799 - 09/12/2017 07:25 AM - lukemurphey

Broke the riot tags into a separate file

Reference #2020

Revision 814 - 09/12/2017 07:25 AM - lukemurphey

Broke the riot tags into a separate file

Reference #2020
History

#1 - 08/27/2017 05:20 AM - Luke Murphey

See https://vuejs.org/v2/guide/single-file-components.html
https://medium.com/js-dojo/7-ways-to-define-a-component-template-in-vuejs-c04e0¢72900d

#2 - 09/04/2017 10:51 PM - Luke Murphey
http:/riotjs.com/

#3 - 09/05/2017 12:49 AM - Luke Murphey

Possible implementation:
Phase 1:

About dialog
Content me dialog
Wiki dialog

Work info dialog

Phase 2:

e Content view (could make loading dual works possible)
¢ Select work dialog

#4 - 09/05/2017 12:50 AM - Luke Murphey

Some fixes needed:

® Need space following the progress bar
* Need to show the title even if there is no section info
e Fix the info dialog

#5 - 09/05/2017 05:05 AM - Luke Murphey

- Target version changed from 1.6 to 2.0

#6 - 09/06/2017 05:24 PM - Luke Murphey

¢ Reader view

o Work view

o Download ebook view
e Search view

o Search results
= Search result

Library view
About view
Wiki info lookup view
Work info lookup view
https://vuejs.org/v2/guide/single-file-components.html
https://medium.com/js-dojo/7-ways-to-define-a-component-template-in-vuejs-c04e0c72900d
http://riotjs.com/

#7 - 09/07/2017 07:47 AM - Luke Murphey

Questions about riot:

L[]

How do | call a function in the module (like opening a dialog)
What directory should | put the tags into?
How do you pass arguments to a riot tag?
o https://martinmuzatko.qgithub.io/riot-ch
How do | load riot JS via require
o Have to make riot global in scope for it to load
o See also https: koverflow.com ions/431
o | might be able to do this using this technique:

https://stackoverflow.com/questions/22210144/how-do-i-export-a-global-variable-from-require-js

Can a custom tag be included in another tag in a loop?
o Can't get riot to load a nested tag
= Using a mount call within the nesting tag

= Using a mount call within the main code JS (that loads the nesting tag)

o https://codepen.io/marcusstenbeck/pen/aOzoOv
How can | pass data from an API call down to a tag via scripting?
o Can wire up handlers like this: https://github.com/riot/riot/issues/1001
How can | have a tag not render until it has data?
How do | share code
o Use mixins: http:/riotjs.com/guide/#mixins
How do | use if branches?
o https://github.com/riot/examples/tree/gh-pages/if-else-elseif

#8 - 09/08/2017 05:03 AM - Luke Murphey

Trying to figure out a way to hand results to the searchresults tag.

#9 - 09/12/2017 07:21 AM - Luke Murphey
What | like:

Components are self-contained

What | don't like:

The shared code for the observable
The use of require.js loaded code where the dependency isn't in riot

o These are being loaded from a central location now

What | struggled with:

Tag not loading
o Tag was not registered (missing the script for riot/tag)
o Forgot to include the tag itself
https://martinmuzatko.github.io/riot-cheatsheet/#templating-options
https://stackoverflow.com/questions/43193538/unable-to-require-tag-on-server-side-in-riot-js
https://stackoverflow.com/questions/22210144/how-do-i-export-a-global-variable-from-require-js
https://codepen.io/marcusstenbeck/pen/aOzoOv
https://github.com/riot/riot/issues/1001
http://riotjs.com/guide/#mixins
https://github.com/riot/examples/tree/gh-pages/if-else-elseif

#10 - 10/05/2018 05:44 PM - Luke Murphey
- Status changed from New to Closed

- Assignee set to Luke Murphey
